org.apache.ignite.internal.processors.cluster

## Class BaselineTopologyHistoryItem

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.BaselineTopologyHistoryItem

All Implemented Interfaces:
  Serializable

    public class BaselineTopologyHistoryItem
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<Long>` `branchingHistory()`
`static BaselineTopologyHistoryItem` `fromBaseline(BaselineTopology blt)`
`int` `id()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fromBaseline

    public static BaselineTopologyHistoryItem fromBaseline(BaselineTopology blt)

Parameters:
  `blt` - Baseline Topology.

#### id

    public int id()

Returns:
  ID.

#### branchingHistory

    public List<Long> branchingHistory()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021